[Android] Improve compile.sh --help information
Jean-Baptiste Kempf
git at videolan.org
Sun Feb 8 10:21:14 CET 2015
vlc-ports/android | branch: master | Jean-Baptiste Kempf <jb at videolan.org> | Sun Feb 8 10:20:09 2015 +0100| [b7841fc6bb7a82034df466be84c49e8b69a8a55e] | committer: Jean-Baptiste Kempf
Improve compile.sh --help information
> http://git.videolan.org/gitweb.cgi/vlc-ports/android.git/?a=commit;h=b7841fc6bb7a82034df466be84c49e8b69a8a55e
---
compile.sh | 23 ++++++++++++++---------
1 file changed, 14 insertions(+), 9 deletions(-)
diff --git a/compile.sh b/compile.sh
index 43f6f0b..037c192 100755
--- a/compile.sh
+++ b/compile.sh
@@ -5,19 +5,18 @@ set -e
# Setup all that stuff correctly.
# Get the latest Android SDK Platform or modify numbers in configure.sh and libvlc/default.properties.
-if [ -z "$ANDROID_NDK" -o -z "$ANDROID_SDK" ]; then
- echo "You must define ANDROID_NDK, ANDROID_SDK before starting."
- echo "They must point to your NDK and SDK directories.\n"
- exit 1
-fi
-
while [ $# -gt 0 ]; do
case $1 in
help|--help)
- echo "Use -a to set the ARCH"
+ echo "Use -a to set the ARCH:"
+ echo " ARM: armeabi-v7a, armeabi, armeabi-v5, armeabi-nofpu"
+ echo " ARM64: arm64-v8a"
+ echo " X86: x86, x86_64"
+ echo " MIPS: mips, mips64."
echo "Use --release to build in release mode"
- echo "Use -s to set your keystore file"
- exit 1
+ echo "Use -s to set your keystore file and -p for the password"
+ echo "Use -t to get an AndroidTv build"
+ exit 0
;;
a|-a)
ANDROID_ABI=$2
@@ -44,6 +43,12 @@ while [ $# -gt 0 ]; do
shift
done
+if [ -z "$ANDROID_NDK" -o -z "$ANDROID_SDK" ]; then
+ echo "You must define ANDROID_NDK, ANDROID_SDK before starting."
+ echo "They must point to your NDK and SDK directories.\n"
+ exit 1
+fi
+
if [ -z "$ANDROID_ABI" ]; then
echo "*** No ANDROID_ABI defined architecture: using ARMv7"
ANDROID_ABI="armeabi-v7a"
More information about the Android
mailing list